Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.java.browser.dom
Interface DOMAction

    public interface DOMAction

Method Summary
`Object` | `run(DOMAccessor accessor)` When an object implementing interface DOMAction is passed to DOMService.invokeAndWait() or DOMService.invokeLater(), run method is called in the DOM access dispatch thread.

Method Detail

### run

    Object run(DOMAccessor accessor)

  When an object implementing interface DOMAction is passed to DOMService.invokeAndWait() or DOMService.invokeLater(), run method is called in the DOM access dispatch thread. accessor is used for the DOMAction to access the entry point of the browser's DOM, if necessary.

  Parameters:
    `accessor` - DOMAccessor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.